ActiveMQMapMessage (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQMapMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQMapMessage

- All Implemented Interfaces:
    javax.jms.MapMessage, javax.jms.Message

      public final class ActiveMQMapMessage
      extends ActiveMQMessage
      implements javax.jms.MapMessage

  ActiveMQ Artemis implementation of a JMS MapMessage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, propertiesReadOnly, readOnly`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ActiveMQMapMessage()`
    `protected` | `ActiveMQMapMessage(ClientMessage message, ClientSession session)`
    `protected` | `ActiveMQMapMessage(ClientSession session)`
    `` | `ActiveMQMapMessage(javax.jms.MapMessage foreign, ClientSession session)` Constructor for a foreign MapMessage

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBody()`
    `void` | `doBeforeReceive()`
    `void` | `doBeforeSend()`
    `protected <T> T` | `getBodyInternal(Class<T> c)`
    `boolean` | `getBoolean(String name)`
    `byte` | `getByte(String name)`
    `byte[]` | `getBytes(String name)`
    `char` | `getChar(String name)`
    `double` | `getDouble(String name)`
    `float` | `getFloat(String name)`
    `int` | `getInt(String name)`
    `long` | `getLong(String name)`
    `Enumeration` | `getMapNames()`
    `Object` | `getObject(String name)`
    `short` | `getShort(String name)`
    `String` | `getString(String name)`
    `byte` | `getType()`
    `protected boolean` | `hasNoBody()` Helper method for `ActiveMQMessage.isBodyAssignableTo(Class)`.
    `boolean` | `isBodyAssignableTo(Class c)`
    `boolean` | `itemExists(String name)`
    `void` | `setBoolean(String name, boolean value)`
    `void` | `setByte(String name, byte value)`
    `void` | `setBytes(String name, byte[] value)`
    `void` | `setBytes(String name, byte[] value, int offset, int length)`
    `void` | `setChar(String name, char value)`
    `void` | `setDouble(String name, double value)`
    `void` | `setFloat(String name, float value)`
    `void` | `setInt(String name, int value)`
    `void` | `setLong(String name, long value)`
    `void` | `setObject(String name, Object value)`
    `void` | `setShort(String name, short value)`
    `void` | `setString(String name, String value)`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkRead, checkWrite, clearProperties, coreMaptoJMSMap, createMessage, getBody, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Field Detail

    - #### TYPE

          public static final byte TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQMapMessage

          protected ActiveMQMapMessage(ClientSession session)

    - #### ActiveMQMapMessage

          protected ActiveMQMapMessage(ClientMessage message,
                                       ClientSession session)

    - #### ActiveMQMapMessage

          public ActiveMQMapMessage()

    - #### ActiveMQMapMessage

          public ActiveMQMapMessage(javax.jms.MapMessage foreign,
                                    ClientSession session)
                             throws javax.jms.JMSException

      Constructor for a foreign MapMessage
      Parameters:
        `foreign` -
      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### getType

          public byte getType()

      Overrides:
        `getType` in class `ActiveMQMessage`

    - #### setBoolean

          public void setBoolean(String name,
                                 boolean value)
                          throws javax.jms.JMSException

      Specified by:
        `setBoolean` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setByte

          public void setByte(String name,
                              byte value)
                       throws javax.jms.JMSException

      Specified by:
        `setByte` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setShort

          public void setShort(String name,
                               short value)
                        throws javax.jms.JMSException

      Specified by:
        `setShort` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setChar

          public void setChar(String name,
                              char value)
                       throws javax.jms.JMSException

      Specified by:
        `setChar` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setInt

          public void setInt(String name,
                             int value)
                      throws javax.jms.JMSException

      Specified by:
        `setInt` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setLong

          public void setLong(String name,
                              long value)
                       throws javax.jms.JMSException

      Specified by:
        `setLong` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setFloat

          public void setFloat(String name,
                               float value)
                        throws javax.jms.JMSException

      Specified by:
        `setFloat` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setDouble

          public void setDouble(String name,
                                double value)
                         throws javax.jms.JMSException

      Specified by:
        `setDouble` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setString

          public void setString(String name,
                                String value)
                         throws javax.jms.JMSException

      Specified by:
        `setString` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setBytes

          public void setBytes(String name,
                               byte[] value)
                        throws javax.jms.JMSException

      Specified by:
        `setBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setBytes

          public void setBytes(String name,
                               byte[] value,
                               int offset,
                               int length)
                        throws javax.jms.JMSException

      Specified by:
        `setBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setObject

          public void setObject(String name,
                                Object value)
                         throws javax.jms.JMSException

      Specified by:
        `setObject` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getBoolean

          public boolean getBoolean(String name)
                             throws javax.jms.JMSException

      Specified by:
        `getBoolean` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getByte

          public byte getByte(String name)
                       throws javax.jms.JMSException

      Specified by:
        `getByte` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getShort

          public short getShort(String name)
                         throws javax.jms.JMSException

      Specified by:
        `getShort` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getChar

          public char getChar(String name)
                       throws javax.jms.JMSException

      Specified by:
        `getChar` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getInt

          public int getInt(String name)
                     throws javax.jms.JMSException

      Specified by:
        `getInt` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getLong

          public long getLong(String name)
                       throws javax.jms.JMSException

      Specified by:
        `getLong` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getFloat

          public float getFloat(String name)
                         throws javax.jms.JMSException

      Specified by:
        `getFloat` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getDouble

          public double getDouble(String name)
                           throws javax.jms.JMSException

      Specified by:
        `getDouble` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getString

          public String getString(String name)
                           throws javax.jms.JMSException

      Specified by:
        `getString` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getBytes

          public byte[] getBytes(String name)
                          throws javax.jms.JMSException

      Specified by:
        `getBytes` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getObject

          public Object getObject(String name)
                           throws javax.jms.JMSException

      Specified by:
        `getObject` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getMapNames

          public Enumeration getMapNames()
                                  throws javax.jms.JMSException

      Specified by:
        `getMapNames` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### itemExists

          public boolean itemExists(String name)
                             throws javax.jms.JMSException

      Specified by:
        `itemExists` in interface `javax.jms.MapMessage`
      Throws:
        `javax.jms.JMSException`

    - #### clearBody

          public void clearBody()
                         throws javax.jms.JMSException

      Specified by:
        `clearBody` in interface `javax.jms.Message`
      Overrides:
        `clearBody` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### doBeforeSend

          public void doBeforeSend()
                            throws Exception

      Overrides:
        `doBeforeSend` in class `ActiveMQMessage`
      Throws:
        `Exception`

    - #### doBeforeReceive

          public void doBeforeReceive()
                               throws ActiveMQException

      Overrides:
        `doBeforeReceive` in class `ActiveMQMessage`
      Throws:
        `ActiveMQException`

    - #### hasNoBody

          protected boolean hasNoBody()

      Description copied from class: `ActiveMQMessage`
      Helper method for `ActiveMQMessage.isBodyAssignableTo(Class)`.
      Overrides:
        `hasNoBody` in class `ActiveMQMessage`
      Returns:
        true if the message has no body.

    - #### isBodyAssignableTo

          public boolean isBodyAssignableTo(Class c)

      Specified by:
        `isBodyAssignableTo` in interface `javax.jms.Message`
      Overrides:
        `isBodyAssignableTo` in class `ActiveMQMessage`

    - #### getBodyInternal

          protected <T> T getBodyInternal(Class<T> c)

      Overrides:
        `getBodyInternal` in class `ActiveMQMessage`

Copyright © 2015. All rights reserved.